<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Orders.aspx.cs" Inherits="Admin_Sale_Orders" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="OrderList" src="~/Store/OrderList.ascx" %>
<%@ Register tagprefix="dsc" tagname="DateRange" src="~/Controls/DateRange.ascx" %>

<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellspacing="4px">
        <tr valign="top">
            <td>Search: <asp:TextBox id="txtSearchText" runat="server" width="300px" maxlength="100"></asp:TextBox></td>
            <td>Date Range: <dsc:DateRange id="dateRange" runat="server" validationgroup="go" /></td>
            <td>
                Status: 
                <asp:DropDownList id="ddlStatusList" runat="server" datatextfield="Status" datavaluefield="StatusId" appenddatabounditems="true">
                    <asp:ListItem selected="True" text="All" value=""></asp:ListItem>
                </asp:DropDownList>
            </td>
            <td><asp:Button id="btnSearch" runat="server" text="Go" validationgroup="go" /></td>
        </tr>
    </table>
    <div><asp:Label id="lblMessage" runat="server" forecolor="red"></asp:Label></div>
    <hr />
    <asp:ObjectDataSource id="odsOrders" runat="server" typename="DotShoppingCart.OpenSource.Core.Order"
        selectmethod="Search" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetOrderCount" 
        startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
        <SelectParameters>
            <asp:ControlParameter name="keywords" type="string" controlid="txtSearchText" propertyname="Text" convertemptystringtonull="true" />
            <asp:ControlParameter name="from" type="DateTime" controlid="dateRange" propertyname="From" />
            <asp:ControlParameter name="to" type="DateTime" controlid="dateRange" propertyname="To" />
            <asp:ControlParameter name="orderStatusId" controlid="ddlStatusList" propertyname="SelectedValue" convertemptystringtonull="true" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <dsc:OrderList id="orderList" runat="server" useadminlink="true" datasourceid="odsOrders" />
</asp:Content>

