<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddressManager.ascx.cs" Inherits="Controls_AddressManager" %>
<%@ Register tagprefix="dsc" tagname="AddressInput" src="AddressInput.ascx" %>
<%@ Register tagprefix="dsc" tagname="AddressDisplay" src="AddressDisplay.ascx" %>
<div style="height:10px;"></div>
<asp:DataList id="dlAddress" runat="server" repeatdirection="Horizontal" repeatcolumns="5" skinid="AddressManager"
    onitemdatabound="dlAddress_ItemDataBound">
    <ItemTemplate>
        <asp:Button id="btnSelect" runat="server" commandname="Select" oncommand="btnSelect_Command" text="Ship to this address" visible="false" />
        <dsc:AddressDisplay id ="adAddress" runat="server" address='<%# Container.DataItem %>'></dsc:AddressDisplay>
        <asp:Button id="btnEdit" runat="server" commandname="Edit" oncommand="btnEdit_Command" text="Edit" />
        <asp:Button id="btnDelete" runat="server" commandname="Delete" oncommand="btnDelete_Command" text="Delete" />
    </ItemTemplate>
</asp:DataList>
<hr />
<h4>Or enter a new shipping address</h4>
<asp:ValidationSummary id="vsAddress" runat="server" 
    headertext="<b>The following error(s) were found:</b>" showsummary="true" 
    validationgroup="vgAddAddress" />
<dsc:addressinput id="aiNew" runat="server" showsaveas="true" validationgroup="vgAddAddress" />
<br />
<asp:Button id="btnAdd" runat="server" validationgroup="vgAddAddress" 
    onclick="btnAdd_Click" text="Add" />
<asp:Button id="btnCancel" runat="server" causesvalidation="false"
    onclick="btnCancel_Click" text="Cancel" visible="false" />
