<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddressUpdate.ascx.cs" Inherits="Controls_AddressUpdate" %>
<%@ Register tagprefix="dsc" tagname="AddressDisplay" src="AddressDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="AddressInput" src="AddressInput.ascx" %>
<asp:FormView id="fvwShippingAddress" runat="server" width="100%" 
    onmodechanging="fvwShippingAddress_ModeChanging" onitemupdating="fvwShippingAddress_ItemUpdating" >
    <ItemTemplate>
        <table width="100%">
            <tr>
                <td>
                    <dsc:AddressDisplay id ="adShippingAddress" runat="server" address='<%# Container.DataItem %>'></dsc:AddressDisplay>
                </td>
                <td style="text-align:right">
                    <asp:Button id="btnEdit" runat="server" commandname="Edit" text="Edit" />
                </td>
            </tr>
        </table>
    </ItemTemplate>
    <EditItemTemplate>
        <table width="100%">
            <tr>
                <td>
                    <asp:ValidationSummary id="vsAddress" runat="server" 
                        headertext="<b>The following error(s) were found:</b>" showsummary="true" 
                        validationgroup="vgAddAddress" />
                    <dsc:AddressInput id="aiShippingAddress" runat="server" initialaddresstodisplay='<%# Container.DataItem %>' validationgroup="vgAddAddress" />
                </td>
                <td style="text-align:right">
                    <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="vgAddAddress" />
                    <asp:Button id="btnCancel" runat="server" text="Cancel" commandname="Cancel" causesvalidation="false" />
                </td>
            </tr>
        </table>
    </EditItemTemplate>
</asp:FormView>
