<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ChangeUserEmail.ascx.cs" Inherits="Controls_ChangeUserEmail" %>
<%@ Register tagprefix="dsc" tagname="EmailTextBox" src="~/controls/EmailTextBox.ascx" %>

<table>
    <asp:ValidationSummary id="UpdateValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" 
        showsummary="true" validationgroup="ValidateUserEmailUpdate" />
    <tr>
        <td class="FormSectionText">
            Existing email address:
        </td>
        <td></td>
        <td class="FormSectionValue">
            <asp:Label id="lblCurrentEmail" runat="server"></asp:Label>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            New email address:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <dsc:EmailTextBox id="etxEmail" runat="server" validationgroup="ValidateUserEmailUpdate" width="200px" />
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Enter your password:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox id="txtPassword" runat="server" textmode="Password" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="PasswordRequired" runat="server" controltovalidate="txtPassword"
                validationgroup="ValidateUserEmailUpdate" errormessage="Password is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
 </table>
 <br /><div><asp:Label id="lblStatus" runat="server" cssclass="success" /></div><br />
<asp:Button id="btnUpdate" runat="server" onclick="btnUpdate_Click" text="Update" validationgroup="ValidateUserEmailUpdate" />
