<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DateRange.ascx.cs" Inherits="Controls_DateRange" %>
<script type="text/javascript">
    function DateRangerPickerChanged(value) {
	    var dvCustomDatePicker = $get('dvCustomDatePicker');
	    if (value == "Custom") {
		    dvCustomDatePicker.style.display = "";
	    } else {
		    dvCustomDatePicker.style.display = "none";
	    }
    }
</script>
<asp:DropDownList id="ddlDateRangePicker" runat="server" width="150px">
    <asp:ListItem text="Today" value="Today"></asp:ListItem>
    <asp:ListItem text="Yesterday" value="Yesterday"></asp:ListItem>
    <asp:ListItem text="Last 3 days" value="Last 3 days"></asp:ListItem>
    <asp:ListItem text="Last 7 days" value="Last 7 days"></asp:ListItem>
    <asp:ListItem text="Last Month" value="Last Month"></asp:ListItem>
    <asp:ListItem text="This Month" value="This Month"></asp:ListItem>
    <asp:ListItem text="Custom" value="Custom"></asp:ListItem>
</asp:DropDownList> 
<div id="dvCustomDatePicker" style="display:none;">
    <table>
        <tr>
            <td>From:</td>
            <td><asp:TextBox id="txtFrom" runat="server" width="180px" />
                <ajaxc:CalendarExtender id="calendarExtenderFrom" runat="server" targetcontrolid="txtFrom"></ajaxc:CalendarExtender>
                <asp:CustomValidator id="cvdFromDate" runat="server" controltovalidate="txtFrom" onservervalidate="cvdDate_ServerValidate" 
                    errormessage="date invalid" display="Dynamic"></asp:CustomValidator>
            </td>
        </tr>
        <tr>
            <td>To:</td>
            <td><asp:TextBox id="txtTo" runat="server" width="180px" />
                <asp:CustomValidator id="CustomValidator1" runat="server" controltovalidate="txtTo" onservervalidate="cvdDate_ServerValidate" 
                    errormessage="date invalid" display="Dynamic"></asp:CustomValidator>                
                <ajaxc:CalendarExtender id="calendarExtenderTo" runat="server" targetcontrolid="txtTo"></ajaxc:CalendarExtender>
            </td>
        </tr>
    </table>
</div>
<script type="text/javascript">
    DateRangerPickerChanged($get('<%= ddlDateRangePicker.ClientID %>').value)
</script>    
