//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_OrderList : System.Web.UI.UserControl {
    public bool UseAdminLink {
        get { object useAdminLink = ViewState["UserAdminLink"];
            if (null == useAdminLink)
                return false;
            return (bool)useAdminLink; 
        }
        set { ViewState["UserAdminLink"] = value; }
    }

    public string DataSourceID {
        get { return gvwOrderList.DataSourceID; }
        set { gvwOrderList.DataSourceID = value; }
    }

    public bool ShowCustomerColumn {
        get { return gvwOrderList.Columns[2].Visible; }
        set { gvwOrderList.Columns[2].Visible = value; }
    }
}
