<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderTotal.ascx.cs" Inherits="Controls_OrderTotal" %>

<asp:GridView id="gvwOrderTotal" runat="server" datakeynames="OrderTotalId" autogeneratecolumns="false" showheader="false" width="100%">
    <Columns>
        <asp:TemplateField itemstyle-horizontalalign="right" itemstyle-font-bold="true">
            <ItemTemplate>
                <%# Eval("Name") + (string.IsNullOrEmpty((string)Eval("Note")) ? "" : " (" + (string)Eval("Note") + ")") + " :"%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField itemstyle-font-bold="true" itemstyle-width="100px">
            <ItemTemplate>
                <span <%# (decimal)Eval("Amount") >= 0 ? "" : "class='negative'" %>><%# Eval("Amount", "{0:C}") %></span>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>