﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Product.ascx.cs" Inherits="Controls_Store_Product" %>
<%@ Register tagprefix="dsc" tagname="ProductDetail" src="ProductDetail.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductAction" src="ProductAction.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductDescriptor" src="ProductDescriptor.ascx" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>

<dsc:BlockEditor id="editor" runat="server" edittitle="Edit Product Detail" blocktitle="Product Detail Box" onsave="editor_Save" >
    <EditTemplate>
        <table>
            <tr>
                <td class="FormSectionText" style="width:200px;">Product Detail Template:</td>
                <td></td>
                <td class="FormSectionValue">
                    <asp:DropDownList id="ddlProductDetailTemplate" runat="server">
                        <asp:ListItem text="Default" value="DefaultTemplate" selected="True"></asp:ListItem>
                    </asp:DropDownList>
                </td>
            </tr>
        </table>
    </EditTemplate>
</dsc:BlockEditor>
<asp:Panel id="pnlBlockContent" runat="server">
    <table width="100%">
        <tr>
            <td colspan="2">
                <asp:Label id="lblNotEnoughStock" runat="server" skinid="NotEnoughStock" visible="false">
                    The item or option that you selected is out of stock. Please choose other items or options.
                </asp:Label>
            </td>
        </tr>
        <tr>
            <td style="width:95%;">
                <dsc:ProductDetail id="ProductDetail1" runat="server" />
            </td>
            <td>
                <dsc:ProductAction id="ProductAction1" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <dsc:ProductDescriptor id="ProductDescriptor1" runat="server" />
            </td>
        </tr>
    </table>
</asp:Panel>

