﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="DefaultTemplate.ascx.cs" Inherits="Controls_ProductDetail_DefaultTemplate" %>
<%@ Register tagprefix="dsc" tagname="AttributeSelection" src="..\AttributeSelection.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductManufacturerLine" src="..\ProductManufacturerLine.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductPrices" src="ProductPrices.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<script type="text/javascript" language="javascript">
    var imageDict = new Array();
    var currentImageId = <%=Product.DefaultImageId ?? 0 %>;
    function OpenPopupWindowFromMain() {
        OpenNewPopupWindow('<%=string.Format("{0}?n={1}&imageId=", SiteNavigation.ProductImagesPage, Product.SKU) %>' + currentImageId, 800, 700);
    }
</script>

<h1><%=Product.ProductName %></h1>
<dsc:ProductManufacturerLine id="pmlManufacturer" runat="server" />
<table style="width:100%;" >
    <tr>
        <td style="width:50%;">
            <table>
                <tr>
                    <td style="height:300px; vertical-align:middle;">
                        <a href="javascript:OpenPopupWindowFromMain()">
                            <img id="imgProduct" src="<%=FileController.GetImageUrl(Product.DefaultImageId, 400, 300)%>" alt="Click to enlarge view" />
                        </a>
                    </td>
                </tr>
                <tr>
                    <td style="margin-top:4px;padding-bottom:10px;">
                        <a href="javascript:OpenPopupWindowFromMain()">Enlarge</a>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:DataList id="dtlImageViewer" runat="server" repeatlayout="Table" repeatdirection="Horizontal" repeatcolumns="5"
                            itemstyle-bordercolor="Gray" itemstyle-borderstyle="Solid" itemstyle-borderwidth="1" itemstyle-width="80" itemstyle-height="70">
                            <ItemTemplate>
                                <table style="text-align:center; width:100%;" cellpadding="0px" cellspacing="0px">
                                    <tr style="height:60px;">
                                        <td style="vertical-align:middle;">                                    
                                            <a href="javascript:OpenPopupWindowFromMain()" 
                                                onmouseover="imgProduct.src='<%#FileController.GetImageUrl((int)Eval("ImageId"), 400, 300)%>'; currentImageId=<%#Eval("ImageId")%>;" >
                                                <img src="<%#FileController.GetImageUrl((int)Eval("ImageId"), 80, 60)%>" alt="Click to enlarge view" />
                                            </a>
                                        </td>
                                    </tr>
                                    <tr style="height:10px;">
                                        <td><%# Eval("Title")%></td>
                                    </tr>
                                </table>
                                <script type="text/javascript" language="javascript">
                                    imageDict['<%#Eval("Title")%>'] = '<%#FileController.GetImageUrl((int)Eval("ImageId"), 400, 300)%>';
                                </script>
                            </ItemTemplate>
                        </asp:DataList>
                    </td>
                </tr>
            </table>
        </td>
        <td style="padding-left:10px; width:50%;">
            <table>
                <tr>
                    <td>
                        <dsc:ProductPrices id="productPrices" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <dsc:AttributeSelection id="attributeSelection" runat="server" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="HookLine">
        <h3>Short Description:</h3>
        <%=Product.ShortDescription %>
        </td>
    </tr>
</table>