<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductInCart.ascx.cs" Inherits="Controls_ProductInCart" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<table width="100%">
    <tr>
        <td>
            <a href="<%# SiteNavigation.GetRewriterUrl("Product", LastAddedCartItem.Product.SKU) %>">
                <img alt="<%# LastAddedCartItem.Product.ShortDescription %>" src="<%# FileController.GetImageUrl(LastAddedCartItem.ImageId, productSummaryData.ImageWidth, productSummaryData.ImageHeight) %>" />
            </a>
        </td>
        <td>
            <div class="ProductSummaryText">
                <div>
                    <a href="<%# SiteNavigation.GetRewriterUrl("Product", LastAddedCartItem.Product.SKU) %>"><%# LastAddedCartItem.Product.ProductName%></a>
                </div>
                <div>
                </div>
                <div><%# LastAddedCartItem.Product.ShipEstimate.Estimate%></div>
                <asp:Repeater id="rptAttributeSelections" runat="server">
                    <ItemTemplate>
                        <div>
                            <%# Eval("Attribute.Name") %> : <%# Eval("Value.Value") %>
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
            </div>
        </td>
        <td style="width:100px;">
            <div>
                <%# string.Format("{0:C}", LastAddedCartItem.UnitPrice)%>
            </div>
            <div id="divSaveAmount" runat="server" visible="false"></div>
            <div id="divSavePercentage" runat="server" visible="false"></div>
        </td>
        <td style="width:100px;">
            <%# LastAddedCartItem.Quantity %>
        </td>
    </tr>
</table>
