<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductSummary.ascx.cs" Inherits="Controls_ProductSummary" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>

<dsc:BlockEditor id="editor" runat="server" edittitle="Edit Product Summary Grid" blocktitle="Product Summary Grid" onsave="editor_Save" >
    <EditTemplate>
        <asp:ValidationSummary id="vdsEdit" runat="server" showsummary="true" />
        <table>
            <tr>
                <td class="FormSectionText" style="width:300px;">Product Summary Grid Width (px):</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbGridWidth" runat="server" required="true" name="Product Summary Grid Width"
                        minimumvalue="1" maximumvalue="1000" width="100px" /></td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:300px;">Product Summary Grid Height (px):</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbGridHeight" runat="server" required="true" name="Product Summary Grid Height"
                        minimumvalue="1" maximumvalue="1000" width="100px" /></td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:300px;">Product Summary Image Width (px):</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbImageWidth" runat="server" required="true" name="Product Summary Image Width"
                        minimumvalue="1" maximumvalue="1000" width="100px" /></td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:300px;">Product Summary Image Height (px):</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbImageHeight" runat="server" required="true" name="Product Summary Image Height"
                        minimumvalue="1" maximumvalue="1000" width="100px" /></td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:300px;">Product Summary Template:</td>
                <td></td>
                <td class="FormSectionValue">
                    <asp:TextBox id="txtProductSummaryTemplate" runat="server" width="500px" textmode="MultiLine" rows="15" />
                </td>
            </tr>
        </table>
    </EditTemplate>
</dsc:BlockEditor>
<asp:Panel id="pnlBlockContent" runat="server">
    <asp:PlaceHolder id="placeHolder" runat="server"></asp:PlaceHolder>
</asp:Panel>