<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SelectShippingMethod.ascx.cs" Inherits="Controls_SelectShippingMethod" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Panel id="pnlEmpty" runat="server">
    <div>Cannot show the shipping options until the shipping address is entered.</div>
</asp:Panel>
<table>
    <asp:Repeater id="rptShippingMethods" runat="server">
        <ItemTemplate>
            <tr>
                <td><asp:RadioButton id="rdoShiping" runat="server" autopostback="true" oncheckedchanged="rdoShiping_CheckedChanged" checked='<%# IsShippingMethodSelected((ShippingMethod)Container.DataItem) %>' /></td>
                <td><%# Eval("Name") %></td>
                <td><%# Eval("Price", "{0:c}") %></td>
            </tr>
        </ItemTemplate>
    </asp:Repeater>
</table>