<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductCategoryMap.ascx.cs" Inherits="Admin_Controls_ProductCategoryMap" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/controls/NumberTextBox.ascx" %>

<div style="margin-bottom:10px;">
    <asp:GridView id="gvwProductCategories" runat="server" autogeneratecolumns="false" datakeynames="Id"
        onrowdeleting="gvwProductCategories_RowDeleting" onrowdatabound="gvwProductCategories_RowDataBound">
        <Columns>
            <asp:BoundField datafield="Path" headertext="Category" itemstyle-width="300px" />
            <asp:TemplateField headertext="Featured Product" itemstyle-width="150px" itemstyle-horizontalalign="Center">
                <ItemTemplate>
                    <asp:CheckBox id="chkFeatured" runat="server" checked='<%#Eval("IsFeatured") %>' enabled="false" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Sort Order">
                <ItemTemplate>
                    <dsc:NumberTextBox id="ntbSortOrder" runat="server" text='<%# Bind("FeatureSortOrder")%>' width="60px" name="Sort Order" enabled="false" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" visible="false" causesvalidation="false" />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <EmptyDataTemplate>
            Use the "Add" button below to add the categories that the product belongs to.
        </EmptyDataTemplate>
    </asp:GridView>
</div>

<% if (!ReadOnly) { %>
<asp:DropDownList id="ddlCategoryToAdd" runat="server" datatextfield="FullPath" datavaluefield="CategoryId" width="300px"></asp:DropDownList><span style="margin-left:2px"></span>
<asp:Button id="btnAdd" runat="server" onclick="btnAdd_Click" text="Add" width="55px" validationgroup="category" />
<% } %>

