<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Theme.ascx.cs" Inherits="Admin_Store_Controls_Theme" %>
<%@ Register tagprefix="dsc" tagname="ModulePopup" src="~/Controls/ModulePopup.ascx" %>

<asp:ObjectDataSource id="odsTheme" runat="server" typename="DotShoppingCart.OpenSource.Core.Theme"
    selectmethod="GetAll">
</asp:ObjectDataSource>
<asp:UpdatePanel id="udp" runat="server">
    <ContentTemplate>
        <table style="height:400px;">
            <tr>
                <td style="width:300px;">
                    <h4>Theme Types:</h4>
                    <div style="margin-bottom:10px;">Find more themes in our <a target="_blank" href="http://www.dotshoppingcart.com/Store/Category/Modules/Themes%20and%20Skins.aspx">marketplace</a>.</div>
                    <div>
                        <asp:ListBox id="lstThemes" runat="server" autopostback="true" datasourceid="odsTheme" datatextfield="Name"
                            datavaluefield="OverviewImageUrl" onselectedindexchanged="lstThemes_SelectedIndexChanged" 
                            ondatabound="lstThemes_DataBound" width="280px" rows="10"></asp:ListBox>
                    </div>
                    <h4>Color Templates:</h4>
                    <div>
                        <asp:ListBox id="lstColorTemplates" runat="server" width="280px" rows="10" onchange="SetImage(this);"></asp:ListBox>
                    </div>
                </td>
                <td>
                    <h4>Preview:</h4>
                    <div><asp:Image id="imgTheme" runat="server" /></div>
                </td>
            </tr>
        </table>
        <asp:Button id="btnHidden" runat="server" style="display:none;" />
        <dsc:ModulePopup id="mdpConfirmDataLost" runat="server" title="Alert" targetcontrolid="btnHidden" onokclick="mdpConfirmDataLost_OkClick">
            <BodyTemplate>
                <div style="color:Red; font-weight:bold;">
                    You have chosen a different theme. Your current customized theme and blocks will be lost. 
                    Do you want to continue?
                </div>
            </BodyTemplate>
        </dsc:ModulePopup>
    </ContentTemplate>
</asp:UpdatePanel>
