<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="General.aspx.cs" Inherits="Admin_Store_General" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>
<%@ Register tagprefix="dsc" tagname="SiteAddress" src="Controls/SiteAddress.ascx" %>
<%@ Register tagprefix="dsc" tagname="Logo" src="Controls/Logo.ascx" %>
<%@ Register tagprefix="dsc" tagname="MetaTags" src="Controls/MetaTags.ascx" %>
<%@ Register tagprefix="dsc" tagname="Miscellaneous" src="Controls/Miscellaneous.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-bottom:10px;">
    <div>
        <asp:ValidationSummary id="vds" runat="server" validationgroup="general" 
            headertext="<b>The following error(s) were found:</b>" showsummary="true"/>
    </div>
    <ajaxc:TabContainer id="tbcStore" runat="server">
        <ajaxc:TabPanel id="tabAddress" runat="server" headertext="Address">
            <ContentTemplate>
                <dsc:SiteAddress id="siteAddress" runat="server" validationgroup="general" errormessageprefix="Tab: Address -> " />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabLogo" runat="server" headertext="Logo">
            <ContentTemplate>
                <dsc:Logo id="logo" runat="server" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabMeta" runat="server" headertext="Meta Tags">
            <ContentTemplate>
                <dsc:MetaTags id="metaTags" runat="server" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabMiscellaneous" runat="server" headertext="Miscellaneous">
            <ContentTemplate>
                <dsc:Miscellaneous id="miscellaneous" runat="server" validationgroup="general" errormessageprefix="Tab: Miscellaneous -> "/>
            </ContentTemplate>
        </ajaxc:TabPanel>
    </ajaxc:TabContainer>
    </div>
    <div><dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success" /></div>
    <div><asp:Button id="btnSave" runat="server" text="Save" onclick="btnSave_Click" validationgroup="general" /></div>
</asp:Content>


