<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Pages.aspx.cs" Inherits="Admin_Store_Pages" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-bottom:10px;">
        <asp:Button id="btnAddPage" runat="server" text="Add Page" />
        <ajaxc:ModalPopupExtender id="mpeAddPage" runat="server" targetcontrolid="btnAddPage" 
            popupcontrolid="pnlAddPage" backgroundcssclass="modalBackground" dropshadow="true"
            cancelcontrolid="btnCancelAddPage" >
        </ajaxc:ModalPopupExtender>
    </div>

    <asp:LinqDataSource id="ldsDeletablePages" runat="server" 
        contexttypename="DotShoppingCart.OpenSource.Core.DSCDataSourceDataContext" 
        enabledelete="True" tablename="DbPages" where="Deletable == @Deletable">
        <WhereParameters>
            <asp:Parameter defaultvalue="True" name="Deletable" type="Boolean" />
        </WhereParameters>
    </asp:LinqDataSource>
        
    <dsc:DSCGridView id="gvwPages" runat="server" datasourceid="ldsDeletablePages" autogeneratecolumns="false" 
        allowsorting="true" allowpaging="true" pagesize="10" datakeynames="PageId" showrownumber="true"
        onrowediting="gvwPages_RowEditing" >
        <Columns>
            <asp:TemplateField headertext="Name" sortexpression="name" itemstyle-width="300px">
                <ItemTemplate>
                    <asp:Label id="lblName" runat="server" text='<%# Eval("Name") %>'></asp:Label> 
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Button id="btnEdit" runat="server" text="Edit" commandname="Edit" causesvalidation="false" />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender ID="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this page?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </dsc:DSCGridView>
    
    <asp:Panel ID="pnlAddPage" runat="server" CssClass="modalPopup" style="display:none;" width="300px" >
        <div class="title">
            Add Page
        </div>
        <div class="body">
            <asp:ValidationSummary id="ValidationSummary1" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="AddPage" />
            <table>
                <tr>
                    <td>Page Name:</td>
                    <td><asp:TextBox id="txtPageName" runat="server" maxlength="150"></asp:TextBox>
                        <asp:RequiredFieldValidator id="rfvPageName" runat="server" controltovalidate="txtPageName" validationgroup="AddPage" 
                            errormessage="Tab Name is required" >*</asp:RequiredFieldValidator>
                    </td>
                </tr>
            </table>
        </div>
        <div class="buttons">
            <asp:Button id="btnAdd" runat="server" text="Add" onclick="btnAdd_Click" validationgroup="AddPage" />
            <asp:Button id="btnCancelAddPage" runat="server" text="Cancel" causesvalidation="false" />
        </div>
    </asp:Panel>
        
</asp:Content>

