<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="SiteSetupWizard.aspx.cs" Inherits="Admin_Store_StoreSetupWizard" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="SiteAddress" src="Controls/SiteAddress.ascx" %>
<%@ Register tagprefix="dsc" tagname="Logo" src="Controls/Logo.ascx" %>
<%@ Register tagprefix="dsc" tagname="Theme" src="Controls/Theme.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:MultiView id="mvwStoreSetup" runat="server" activeviewindex="0">
        <asp:View id="vwStoreSetup" runat="server">
            <asp:ValidationSummary id="vds" runat="server" headertext="<b>The following error(s) were found:</b>" 
                showsummary="true"  />
            <asp:Wizard id="storeSetupWizard" runat="server"
                onnextbuttonclick="storeSetupWizard_NextButtonClick" onfinishbuttonclick="storeSetupWizard_FinishButtonClick" >
                <SideBarTemplate>
                    <asp:DataList ID="SideBarList" runat="server">
                        <ItemStyle cssclass="wizardSideBarItem" />
                        <SelectedItemStyle cssclass="wizardSideBarSelectedItem" />
                        <ItemTemplate>
                            <asp:LinkButton id="SideBarButton" runat="server" font-underline="false"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:DataList>
                </SideBarTemplate>
                <WizardSteps>
                    <asp:WizardStep id="wzAddress" runat="server" title="Address">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <div style="text-align:center;"><h4>Enter Your Contact Address</h4></div>
                            <dsc:SiteAddress id="siteAddress" runat="server" enablestoreurl="false" />
                        </div>
                    </asp:WizardStep>
                    <asp:WizardStep id="wzTheme" runat="server" title="Theme">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <div style="text-align:center;"><h4>Choose a Theme For Your Site</h4></div>
                            <dsc:Theme id="dscTheme" runat="server" ondatalostconfirmed="dscTheme_DataLostConfirmed"/>
                        </div>
                    </asp:WizardStep>
                    <asp:WizardStep id="wzLogo" runat="server" title="Logo">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <div style="text-align:center;"><h4>Upload Your Site Logo</h4></div>
                            <dsc:Logo id="logo" runat="server" />
                        </div>
                    </asp:WizardStep>
                </WizardSteps>
                <StartNavigationTemplate>
                    <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext"
                         tooltip="Move to the next step." />
                </StartNavigationTemplate>
                <StepNavigationTemplate>
                    <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                        tooltip="Move to the previous step." />
                    <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext" 
                         tooltip="Move to the next step." />
                </StepNavigationTemplate>
                <FinishNavigationTemplate>
                    <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                        tooltip="Move to the previous step." />
                    <asp:ImageButton id="btnFinish" runat="server" skinid="MoveComplete" commandname="MoveComplete" 
                         tooltip="Complete the wizard." />
                </FinishNavigationTemplate>
            </asp:Wizard>
        </asp:View>
        <asp:View id="vwSummary" runat="server">
            <div class="success" style="margin-top:10px; margin-bottom:20px;">You have successfully finished your site setup wizard!</div>
        </asp:View>
    </asp:MultiView>
</asp:Content>

