﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ShippingConfigurationTemplate.ascx.cs" Inherits="Admin_Store_Controls_ShippingConfigurationTemplate" %>
<%@ Register tagprefix="dsc" tagname="ProviderConfiguration" src="ProviderConfiguration.ascx" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/Controls/TransitionalLabel.ascx" %>

<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:ValidationSummary id="vds" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" />
<table style="width:100%;">
    <dsc:ProviderConfiguration id="providerConfiguration" runat="server" 
        sectionname='<%# ShippingServiceConfigurationSection.SectionName %>' 
        provider='<%# Provider %>' />
</table>
<div style="margin-top:20px;">
    <asp:Button ID="btnUpdateShipping" runat="server" text="Save" onclick="btnUpdateShipping_Click" />
    <dsc:TransitionalLabel id="tlbUpdateProviderStatus" runat="server" cssclass="success"/>
</div>
