<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TableBasedShippingRate.ascx.cs" Inherits="Admin_Controls_TableBasedShippingRate" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/Controls/DecimalTextBox.ascx" %>

<table class="gridViewTable">
    <colgroup>
        <col width="100px" />
        <col width="160px" />
        <col width="160px" />
    </colgroup>
    <tr>
        <th>From</th>
        <th>To</th>
        <th>Rate</th>
        <th></th>
    </tr>
    <asp:Repeater id="rptBulkEdit" runat="server" onitemdatabound="rptBulkEdit_ItemDataBound">
        <ItemTemplate>
            <tr>
                <td>
                    <asp:Label id="lblFromPrefix" runat="server"></asp:Label>
                    <asp:Label id="lblFrom" runat="server"></asp:Label>
                    <asp:Label id="lblFromSuffix" runat="server"></asp:Label>
                </td>
                <td>
                    <asp:Label id="lblToPrefix" runat="server"></asp:Label>
                    <dsc:DecimalTextBox id="dtbTo" runat="server" width="100" required="true" name="To" />
                    <asp:CustomValidator id="cvdUniqueRate" runat="server" onservervalidate="cvdUniqueRate_ServerValidate" 
                        errormessage="The value is already defined in other rows. Please use a unique value or delete duplicates.">*
                    </asp:CustomValidator>
                    <asp:Label id="lblTo" runat="server" visible="false" ></asp:Label>
                    <asp:Label id="lblToSuffix" runat="server"></asp:Label>
                </td>
                <td><dsc:DecimalTextBox id="dtbRate" runat="server" width="100" required="true" name="Rate" /></td>
                <td><asp:Button id="btnDelete" runat="server" text="Delete" oncommand="btnDelete_Command" causesvalidation="false" /></td>
            </tr>
        </ItemTemplate>
    </asp:Repeater>
</table>   
<div style="margin-top:10px;">
    <asp:Button id="btnAddRow" runat="server" text="Add Row" onclick="btnAddRow_Click" causesvalidation="false" />
</div>