<%@ Control Language="C#" AutoEventWireup="true" CodeFile="TableBasedTaxConfiguration.ascx.cs" Inherits="Admin_Controls_TableBasedTaxConfiguration" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<div class="sectionoutline" style="margin-top:10px;">
    <asp:GridView id="gvwTaxRates" runat="server" autogeneratecolumns="false" onrowdatabound="gvwTaxRates_RowDataBound"
        onrowediting="gvwTaxRates_RowEditing" onrowdeleting="gvwTaxRates_RowDeleting">
        <EmptyDataTemplate>
            <div style="margin-bottom:5px; font-weight:bold;">No tax region is defined.</div>
        </EmptyDataTemplate>
        <Columns>
            <asp:TemplateField headertext="Name">
                <ItemTemplate>
                    <%# Eval("Name")%>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField headertext="Rate" datafield="Rate" itemstyle-width="60px" />
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Button id="btnEdit" runat="server" text="Edit" causesvalidation="false" />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this tax region?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>

    <div style="margin-top:10px;"><input type="button" value="Add Tax Region" onclick='<%= string.Format("javascript:window.location.href=\"{0}\";return false;", SiteNavigation.TaxRegionEditPage) %>' /></div>
</div>