<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Roles.aspx.cs" Inherits="Admin_User_Roles" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/controls/DecimalTextBox.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-top:10px;">
    </div>
    <asp:GridView id="gvwRoles" runat="server" autogeneratecolumns="false" datakeynames="Name" 
        onrowdatabound="gvwRoles_RowDataBound" onrowediting="gvwRoles_RowEditing" onrowdeleting="gvwRoles_RowDeleting">
        <Columns>
            <asp:BoundField headertext="Role Name" datafield="Name" itemstyle-width="100px" />
            <asp:BoundField headertext="Discount (% off)" datafield="DiscountRate" itemstyle-width="150px" />
            <asp:BoundField headertext="Minimum Order Amount" dataformatstring="{0:C}" htmlencode="false" datafield="MinOrderAmount" itemstyle-width="160px" />
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:Button id="btnEdit" runat="server" text="Edit" commandname="Edit" causesvalidation="false" />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
                    <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this role?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>

    <h4><asp:Label id="lblRoleMessage" runat="server"></asp:Label></h4>
    <asp:ValidationSummary id="vdsRole" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" 
        validationgroup="vdgRole" />
    <table>
        <tr>
            <td class="FormSectionText" style="width:200px;">Role Name:</td>
            <td>*</td>
            <td class="FormSectionValue">
                <asp:TextBox id="txtRoleName" runat="server" width="200px"></asp:TextBox>
                <asp:RequiredFieldValidator id="rfvRoleName" runat="server" controltovalidate="txtRoleName" 
                    errormessage="Role Name is required." validationgroup="vdgRole">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td class="FormSectionText" style="width:200px;">Discount (% off):</td>
            <td></td>
            <td class="FormSectionValue">
                <dsc:DecimalTextBox id="dtbDiscount" runat="server" width="200px" name="Discount" minimumvalue="0" maximumvalue="100" validationgroup="vdgRole" />
            </td>
        </tr>
        <tr>
            <td class="FormSectionText" style="width:200px;">Minimum Order Amount:</td>
            <td>$</td>
            <td class="FormSectionValue">
                <dsc:DecimalTextBox id="dtbMinOrderAmount" runat="server" width="200px" name="Minimum Order Amount" validationgroup="vdgRole" />
            </td>
        </tr>
    </table>
    <br />
    <asp:Button id="btnAdd" runat="server" validationgroup="vdgRole" onclick="btnAdd_Click" text="Add" />
    <asp:Button id="btnCancel" runat="server" causesvalidation="false" onclick="btnCancel_Click" text="Cancel" visible="false" />
    
</asp:Content>

