<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="UserEdit.aspx.cs" Inherits="Admin_Sale_UserEdit" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="addressinput" src="~/controls/addressinput.ascx" %>
<%@ Register tagprefix="dsc" tagname="accountoptionalinformation" src="~/controls/accountoptionalinformation.ascx" %>
<%@ Register tagprefix="dsc" tagname="EmailTextBox" src="~/controls/EmailTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderList" src="~/Store/OrderList.ascx" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table>
        <tr>
            <td colspan="3"><asp:ValidationSummary id="vdsUpdateUser" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="updateUser" /></td>
        </tr>
        <tr>
            <td class="FormSectionText" style="font-weight:bold">UserName:</td>
            <td></td>
            <td class="FormSectionValue" style="font-weight:bold"><asp:Label id="lblUserName" runat="server"></asp:Label></td>
        </tr>
        <tr>
            <td class="FormSectionText">Email address:</td>
            <td>*</td>
            <td class="FormSectionValue"><dsc:EmailTextBox id="etxEmail" runat="server" validationgroup="updateUser" width="200px" /></td>
        </tr>
    </table>
    <dsc:addressinput id="address" runat="server" validationgroup="updateUser" />
    <dsc:accountoptionalinformation id="accountOptional" runat="server" />
    <table>
        <tr>
            <td class="FormSectionText">Roles:</td>
            <td></td>
            <td class="FormSectionValue">
                <asp:Label id="lblRoles" runat="server"></asp:Label> 
                <asp:Button id="btnEditRoles" runat="server" />
                <ajaxc:ModalPopupExtender id="mpeRoles" runat="server" targetcontrolid="btnEditRoles" 
                    popupcontrolid="pnlEditRoles" backgroundcssclass="modalBackground" dropshadow="true"
                    cancelcontrolid="btnCancel">
                </ajaxc:ModalPopupExtender>
                <asp:Panel ID="pnlEditRoles" runat="server" CssClass="modalPopup" style="display:none" width="400px" >
                    <div class="title">
                        Edit Roles
                    </div>
                    <div class="body">
                        <asp:ObjectDataSource id="odsRoles" runat="server" typename="DotShoppingCart.OpenSource.Core.DSCRole" 
                            selectmethod="GetAll">
                        </asp:ObjectDataSource>
                        <asp:CheckBoxList id="chlRoles" runat="server" datasourceid="odsRoles" datatextfield="Name" datavaluefield="Name" ondatabound="chlRoles_DataBound">
                        </asp:CheckBoxList>
                    </div>
                    <div class="buttons">
                        <asp:Button id="btnUpdateRole" runat="server" text="Update" onclick="btnUpdateRole_Click" />
                        <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
                    </div>
                </asp:Panel>
            </td>
        </tr>
    </table>
    <div style="padding-left:400px;">
        <asp:Button id="btnSave" runat="server" validationgroup="updateUser" text="Save" onclick="btnSave_Click" />
        <dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success"/>
    </div>
    <div style="margin-top:20px;">
        <hr />
        <asp:ObjectDataSource id="odsOrders" runat="server" typename="DotShoppingCart.OpenSource.Core.Order"
            selectmethod="GetSummary" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetSummaryOrderCount" 
            startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
        </asp:ObjectDataSource>
        <dsc:OrderList id="odlOrders" runat="server" showcustomercolumn="false" useadminlink="true" datasourceid="odsOrders" />
    </div>
</asp:Content>

