<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddressDisplay.ascx.cs" Inherits="Controls_AddressDisplay" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<div style="font-weight:bold"><%# Address.SaveAs %></div>
<div><%# Address.FirstName %> <%# Address.LastName %></div>
<asp:Panel id="pnlCompany" runat="server" visible='<%# !string.IsNullOrEmpty(Address.CompanyName) %>'><%# Address.CompanyName%></asp:Panel>
<div><%# Address.Address1%></div>
<asp:Panel id="pnlAddress2" runat="server" visible='<%# !string.IsNullOrEmpty(Address.Address2) %>'><%# Address.Address2%></asp:Panel>
<div><%# Address.City%>, <%# Address.State%> <%# Address.Zipcode%></div>
<div><%# null != Address.Country ? Address.Country.Name : "" %></div>
<div>Phone: <%# Utils.FormatPhoneForDisplay(Address.Phone)%> <%# string.IsNullOrEmpty(Address.PhoneExt) ? "" : string.Format("Ext: {0}", Address.PhoneExt)%></div>
