﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PageBlockContainer.ascx.cs" Inherits="Controls_Blocks_PageBlockContainer" %>
<%@ Register tagprefix="dsc" tagname="BlockContainer" src="~/Controls/Blocks/BlockContainer.ascx" %>

<dsc:BlockContainer id="container" runat="server" deleteenabled="false" movebackenabled="false" moveforwardenabled="false">
    <MenuTemplate>
        <asp:LinkButton id="btnToggleLeftMasterColumn" runat="server" cssclass="ContextMenuItem" text="Disable Left Master Block Container" onclick="btnToggleLeftMasterColumn_Click"></asp:LinkButton>
        <asp:LinkButton id="btnToggleRightMasterColumn" runat="server" cssclass="ContextMenuItem" text="Disable Right Master Block Container" onclick="btnToggleRightMasterColumn_Click"></asp:LinkButton>
        <asp:LinkButton id="btnReset" runat="server" cssclass="ContextMenuItem" text="Reset Page Content" onclick="btnReset_Click"></asp:LinkButton>
        <ajaxc:ConfirmButtonExtender id="cbeResetConfirm" runat="server" targetcontrolid="btnReset" 
            confirmtext='All the customized blocks will be deleted. Are you sure you want to reset this page?' />
    </MenuTemplate>
</dsc:BlockContainer>
