﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductList.ascx.cs" Inherits="Store_Blocks_ProductList" %>
<%@ Register tagprefix="dsc" tagname="ProductList" src="~/Store/ProductList.ascx" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<dsc:BlockEditor id="editor" runat="server" edittitle="Edit Product List" onsave="editor_Save" >
    <EditTemplate>
        <asp:ValidationSummary id="vdsEdit" runat="server" showsummary="true" />
        <table>
            <tr>
                <td class="FormSectionText" style="width:200px;">Product Type:</td>
                <td></td>
                <td class="FormSectionValue">
                    <asp:DropDownList id="ddlProductListType" runat="server" datatextfield="Name" datavaluefield="Value"></asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:200px;">The number of the columns:</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:NumberTextBox id="ntbColumns" runat="server" required="true" name="The number of the columns" 
                        minimumvalue="1" maximumvalue="10" width="100px" /></td>
            </tr>
            <tr>
                <td class="FormSectionText" style="width:200px;">The number of Products:</td>
                <td>*</td>
                <td class="FormSectionValue">
                    <dsc:NumberTextBox id="ntbProductCount" runat="server" minimumvalue="1" maximumvalue="100"
                        required="true" name="The number of Products" />
                </td>
            </tr>
        </table>
    </EditTemplate>
</dsc:BlockEditor>
<asp:Panel id="pnlBlockContent" runat="server">
    <asp:Panel id="pnlProductList" runat="server">
        <div class="sectionheader">
            <asp:Label id="lblProductType" runat="server"></asp:Label>: &nbsp;&nbsp;&nbsp;
            <a href='<%= SiteNavigation.GetRewriterUrl("Store/ProductList", productListData.Type.ToString()) %>'>More >></a>
        </div>
        <div>
            <dsc:ProductList id="productList" runat="server" enablecache="false" />
        </div>
    </asp:Panel>
</asp:Panel>
