<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListResultBar.ascx.cs" Inherits="Controls_ProductListResultBar" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<script language="javascript" type="text/javascript">
    function SortBy(select) {
        window.location.href = '<%= SiteNavigation.UpdateUrl(Request.RawUrl, GetReplacementQueryString(1), new string[]{"sortby"}) + "&sortby=" %>' + select.options[select.selectedIndex].value;
    }
</script> 

<div class="ProductResultBar">
    <table width="100%">
        <tr>
            <td style="width:30%; vertical-align:middle;"><asp:Literal id="litShowResults" runat="server"></asp:Literal></td>
            <td style="width:240px;  vertical-align:middle; text-align:center;">Sort by
                <select id="slcSortBy" runat="server" onchange="SortBy(this)">
                  <option value="0">Featured Items</option>
                  <option value="1">Alphabetical: A to Z</option>
                  <option value="2">Alphabetical: Z to A</option>
                  <option value="3">Price: Low to High</option>
                  <option value="4">Price: High to Low</option>
                </select>
                <!-- value must match to ProductSortBy -->
             </td>
            <td style=" vertical-align:middle; text-align:right;">
                <asp:HyperLink id="lnkPrev" runat="server" text="< Previous" ></asp:HyperLink>
                <asp:Label id="lblPrev" runat="server">...</asp:Label>
                <asp:Repeater id="rptPreviousPages" runat="server">
                    <ItemTemplate>
                        <asp:HyperLink id="lnkPrev" runat="server" text='<%# Eval("Value") %>' navigateurl='<%# SiteNavigation.UpdateUrl(Request.RawUrl, GetReplacementQueryString((int)Eval("Value"))) %>'></asp:HyperLink>
                    </ItemTemplate>
                </asp:Repeater>
                <%= PageNumber %>
                <asp:Repeater id="rptNextPages" runat="server">
                    <ItemTemplate>
                        <asp:HyperLink id="lnkNext" runat="server" text='<%# Eval("Value") %>' navigateurl='<%# SiteNavigation.UpdateUrl(Request.RawUrl, GetReplacementQueryString((int)Eval("Value"))) %>'></asp:HyperLink>
                    </ItemTemplate>
                </asp:Repeater>
                <asp:Label id="lblNext" runat="server">...</asp:Label>
                <asp:HyperLink id="lnkNext" runat="server" text="Next >" ></asp:HyperLink>
            </td>
        </tr>
    </table>
</div>
